import request from '@/apis/utils/request'
import requestWhite from '@/apis/utils/requestWhite'

export function changePassword(data) {
	var url = '/mobile/employeeUser/changePassword';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}


export function changePhone(data) {
	var url = '/mobile/employeeUser/changePhone';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
export function getVerifyCode(data) {
	var url = '/mobile/employeeUser/getVerifyCode';
	return requestWhite({
		method: 'post',
		data: data,
		url: url
	})
}
export function logout(data) {
	var url = '/mobile/employeeUser/logout';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function validateCode(data) {
	var url = '/mobile/employeeUser/validateCode';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function personalCenter(data) {
	var url = '/mobile/employee/personalCenter';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}



export function findByOpenId(data) {
	var url = '/mobile/employeeUser/findByOpenId';
	return requestWhite({
		method: 'get',
		data: data,
		url: url
	})
}



export function login(data) {
	var url = '/mobile/employeeUser/login';
	return requestWhite({
		method: 'post',
		data: data,
		url: url
	})
}



export function retrievePassword(data) {
	var url = '/mobile/employeeUser/retrievePassword';
	return requestWhite({
		method: 'post',
		data: data,
		url: url
	})
}